'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-scaffolder-node/alpha');
var createProject = require('./actions/createProject.cjs.js');

const sentryModule = backendPluginApi.createBackendModule({
  pluginId: "scaffolder",
  moduleId: "sentry",
  register({ registerInit }) {
    registerInit({
      deps: {
        scaffolder: alpha.scaffolderActionsExtensionPoint,
        config: backendPluginApi.coreServices.rootConfig,
        reade: backendPluginApi.coreServices.urlReader
      },
      async init({ scaffolder, config }) {
        scaffolder.addActions(createProject.createSentryCreateProjectAction({ config }));
      }
    });
  }
});

exports.sentryModule = sentryModule;
//# sourceMappingURL=module.cjs.js.map
